> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Transaction

Transaction simulation is available for Credit Card Accounts that have been verified and are subscribed to the Transactions product.

Simulating a Transaction will mimic a new transaction created by the credit card networks for a specific Account.

## Path Parameters

## Body

## Returns

Returns the Transaction object.

```bash cURL theme={null}
curl https://dev.methodfi.com/simulate/accounts/{acc_id}/transactions \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "purchase"
  }'
```

```javascript Node.js theme={null}
const response = await method
  .accounts(acc_id)
  .simulate
  .transactions
  .create({
    type: "purchase"
  });
```

```python Python theme={null}
response = method
  .accounts(acc_id)
  .simulate
  .transactions
  .create({"type": "purchase"})
```

```json theme={null}
{
  "id": "txn_t73AdHRFYwhT9",
  "account_id": "acc_XtKTpHLGhD9Qn",
  "status": "posted",
  "descriptor": "SQ *BENNU COFFEE",
  "merchant": null,
  "merchant_category_code": "5441",
  "amount": 3764,
  "auth_amount": 3764,
  "currency_code": "USD",
  "transaction_amount": 3764,
  "transaction_auth_amount": 3764,
  "transaction_currency_code": "USD",
  "transacted_at": "2025-03-05T07:48:06.000Z",
  "posted_at": "2025-03-06T05:00:00.000Z",
  "voided_at": null,
  "original_txn_id": null,
  "created_at": "2025-03-24T03:54:29.283Z",
  "updated_at": "2025-03-24T04:04:39.200Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.